/* Estilos gerais da página */
*{
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background-color: #EC1D24;
    color: white;
}

/* Cabeçalho */
header {
    height: 85px;
    background-color: white;
    color: black;
}

.box {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
    position: relative;
}

header img {
    margin-top: 32px;
}

.box h2 {
    position: absolute;
    top: 32px;
    right: 0;
    font-weight: normal;
    font-size: 18px;
}

/* Página principal */
#home {
    max-width: 1100px;
    margin: auto;
    padding: 30px 10px 10px;
}

#search-characters {
    font-weight: bold;
}

#search-characters h2 {
    margin-bottom: 20px;
}

#search{
    background-color:white;
    border:solid 1px;
    border-radius:5px;
    max-width:300px;
    display: flex;
    align-self: center;
    margin-top: 10px;
  }
  
#txtSearch{
    float:left;
    background-color:transparent;
    padding-left:5px;
    font-style:italic;
    font-size:18px;
    border:none;
    height:32px;
    width:260px;
    align-self: center;
}

#search p {
    align-self: center;
    margin: auto;
    font-size: 25px;
}

#search p:hover {
    cursor: pointer;
}
#titulos {
    margin-top: 30px;
    padding: 0 10px;
    display: flex;
    color: white;
}

#titulos h2 {
    font-size: 15px;
    font-weight: normal;
    width: 33.33%;
}

#renderer {
    height: 350px;
}

.herois {
    background-color: white;
    color: black;
    max-width: 100%;
    margin: 10px auto;
    height: 80px;
    border-radius: 10px;
    display:         flex;
    display: -webkit-flex; /* Garante compatibilidade com navegador Safari. */
    align-items: center;
    cursor: pointer;
}

.herois:hover {
    background-color: rgb(255, 220, 220);
}

.hero-data {
    width: 33.33%;
    padding: 10px;
}

.hero-data p {
    white-space: nowrap;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
}

#hero-name {
    display: flex;
}

#hero-name img {
    object-fit: cover;
    height: 50px;
    width: 50px;
    border-radius: 5px;
    margin: 15px;
    align-self: center;
}

#hero-name p {
    align-self: center;
    font-weight: bold;
}

#category {
    color: black;
}

/* Página detalhes dos personagens */
#detalhes {
    max-width: 100%;
    height: 800px;
    color: black;
    display: none;
}

#header-detalhes {
    display: flex;
    align-items: center;
    background-color: #CF1F25;
    box-shadow: inset 0 0 2em rgba(0, 0, 0, 0.5);
}

#exit {
    background-color: rgba(255, 255, 255, 0.5);
    height: 30px;
    width: 30px;
    border-radius: 50%;
    position: absolute;
    top: 90px;
    left: 10px;
    cursor: pointer;
}

#name-hero-detalhes {
    margin: 10px;
    font-weight: bold;
    color: white;
    font-size: 25px;
    display: flex;
    align-items: center;
}

#img-hero-detalhes {
    object-fit: cover;
    height: 100px;
    width: 100px;
    align-self: center;
    border-radius: 50%;
    margin: 10px;
    border: 5px solid black;
}

#header-detalhes p {
    color: white;
    font-weight: bold;
    font-size: 11px;
    position: absolute;
    top: 110px;
    right: 5px;
    text-align: right;
}

#dados-detalhes {
    width: 100%;
}

.titulos-detalhes {
    font-weight: bold;
    margin-bottom: 15px;
    padding: 5px 10px;
    border-bottom: solid #CF1F25;
}

#contents {
    display: flex;
    width: 100%;
}

#series-detalhes, #eventos-detalhes {
    margin: 30px 15px;
    width: calc(50% - 30px);
}

.div-serie, .div-events {
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.5);
    margin-bottom: 10px;
    padding: 10px;
}

.div-serie > *, .div-events > * {
    margin-bottom: 15px;
}

.div-serie > p {
    text-align: center;
}
